<?php

class ActivationController extends Controller
{
    public $defaultAction = 'activation';


    /**
     * Activation user account
     *
     * @return void
     */
    public function actionActivation()
    {

        $email = $_GET['email'];
        $activkey = $_GET['activkey'];
        if ($email && $activkey) {
            $find = User::model()->notsafe()->findByAttributes(array('email' => $email));
            if (isset($find) && $find->status) {
                if (!isset($_GET['return_url'])) {
                    $this->render('/user/message', array('title' => UserModule::t("User activation"), 'content' => UserModule::t("Your account is active.")));
                }
                Yii::app()->user->setFlash('registration', UserModule::t("Your account is active."));
            } elseif (isset($find->activkey) && ($find->activkey == $activkey)) {
                $find->activkey = UserModule::encrypting(microtime());
                $find->status = 1;
                $find->save();
                if (!isset($_GET['return_url'])) {
                    $this->render('/user/message', array('title' => UserModule::t("User activation"), 'content' => UserModule::t("Your account is activated.")));

                }
                Yii::app()->user->setFlash(Yii::app()->getModule('user')->userLoginWidgetFlashSuccess, UserModule::t('Your account is activated. Now you can log in.'));
                $this->redirect($this->module->loginUrl);
            } else {
                if (!isset($_GET['return_url'])) {
                    $this->render('/user/message', array('title' => UserModule::t("User activation"), 'content' => UserModule::t("Incorrect activation URL.")));
                }
                Yii::app()->user->setFlash('registration', UserModule::t("Incorrect activation URL."));
            }
        } else {
            if (!isset($_GET['return_url'])) {
                $this->render('/user/message', array('title' => UserModule::t("User activation"), 'content' => UserModule::t("Incorrect activation URL.")));
            }
            Yii::app()->user->setFlash('registration', UserModule::t("Incorrect activation URL."));
        }
        $cleanUrl = AppHelper::removeParamsFromUrl($_GET['return_url'], array('email', 'activkey'));
        $this->redirect($cleanUrl);
    }

}