<?php
/**
 *
 */
class NotContainsTagsValidator extends CValidator
{

    /**
     * Validates a single attribute.
     * This method should be overridden by child classes.
     * @param CModel $object the data object being validated
     * @param string $attribute the name of the attribute to be validated.
     */
    protected function validateAttribute($object, $attribute)
    {
        if ($object->$attribute != strip_tags($object->$attribute)) {
            $this->addError($object, $attribute, UserModule::t("Field shouldn't contains any tags"));
        }
    }
}
