<?php
class FGElement extends CComponent
{
	public static final function getInstance($elementType)
	{
		$className = 'FGElement'.ucfirst($elementType);
		$path = dirname(__FILE__).'/../elements/'.$className.'.php';
		if(class_exists($className, false) == false) {
			if(is_file($path)) {
				require $path;
			}
		}
		if(class_exists($className, false)) {
			return new $className;
		} else {
			return new FGElement();
		}
	}
	
	public function serializeFormData($value, $element)
	{
		return strval($value);
	}
	
	public function displayDataHTML($value)
	{
		return CHtml::encode($value);
	}
}