<?php

class m121210_211931_main extends CDbMigration
{
	public function up()
	{
		$this->createTable(
			'formdata',
			array(
				'id' => 'pk',
				'form_id' => 'int(11) NOT NULL',
				'created_at' => 'timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP',
				'referer' => 'varchar(2083) NOT NULL DEFAULT \'\'',
				'ip' => 'char(15) NOT NULL DEFAULT \'\'',
				'json' => 'text NOT NULL'
			)
			//,'ENGINE=MyISAM  DEFAULT CHARSET=utf8'
		);
		$this->createTable(
			'forms',
			array(
				'id' => 'pk',
				'name' => 'varchar(255) NOT NULL DEFAULT \'\'',
				'json' => 'text',
				'html' => 'text',
				'creator_email' => 'varchar(255) NOT NULL DEFAULT \'\'',
				'user' => 'varchar(255) NOT NULL DEFAULT \'\'',
				'salt' => 'char(32) DEFAULT NULL'
			)
			//,'ENGINE=MyISAM  DEFAULT CHARSET=utf8'
		);
		$this->createTable(
			'templates',
			array(
				'id' => 'pk',
				'name' => 'varchar(255) NOT NULL DEFAULT \'\'',
				'json' => 'text NOT NULL',
				'user' => 'varchar(255) NOT NULL DEFAULT \'\'',
				'global' => 'tinyint(1) NOT NULL DEFAULT \'0\'',
			)
			//'ENGINE=MyISAM  DEFAULT CHARSET=utf8'
		);
		/*$this->execute("CREATE TABLE IF NOT EXISTS `formdata` (
			  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
			  `form_id` int(11) unsigned NOT NULL,
			  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
			  `referer` varchar(2083) NOT NULL DEFAULT '',
			  `ip` char(15) NOT NULL DEFAULT '',
			  `json` text NOT NULL,
			  PRIMARY KEY (`id`)
			) ENGINE=MyISAM  DEFAULT CHARSET=utf8;");*/
	}

	public function down()
	{
		echo "m121210_211931_main does not support migration down.\n";
		return false;
	}

	/*
	// Use safeUp/safeDown to do migration with transaction
	public function safeUp()
	{
	}

	public function safeDown()
	{
	}
	*/
}
