<?php
/**
 *
 */
class UserRecoveryWidget extends BaseUserWidget
{
    public $model;

    /**
     * Show recovery form
     *
     * @return void
     */
    public function run()
    {
        if (!array_key_exists('standard', Yii::app()->eauth->services)) {
            return;
        }
        $this->model or $this->model = new UserRecoveryForm();
        if (($userLoginData = Yii::app()->user->getState('UserRecoveryForm')) != null) {
            $this->model->attributes = $userLoginData['attributes'];
            foreach ($userLoginData['errors'] as $attribute => $errors) {
                foreach ($errors as $e) {
                    $this->model->addError($attribute, $e);
                }
            }
            Yii::app()->user->setState('UserRecoveryForm', null);
        }
        $this->render('UserRecoveryWidget', array('model' => $this->model));
    }
}
