<?php
/**
 * Created by JetBrains PhpStorm.
 * User: Andrey
 * Date: 3/5/13
 * Time: 2:30 PM
 * To change this template use File | Settings | File Templates.
 */

Yii::import('shoppingcart.models');

class ShoppingcartTest extends CDbTestCase
{

    public $items = array();
    public $orders = array();
    public $tmp_users = array();

    public function testToCart()
    {
     echo "<h3>Correct data test</h3>";
     $counter = 0;
     $success =0;
     $error =0;
     foreach($this->getItems(true) as $set){

            $item = new Item;
            $item->setAttributes($set,false);

            try{
            $this->assertTrue($item->save());
            $success++;
            }catch (Exception $e){
                echo $e->getMessage()."<br/>";
                $error++;
            }
         $counter++;
        }
    echo "<h3>".$counter." tests completed: ".$success." - success, ".$error." - error</h3>";

        echo "<h3>Incorrect data test</h3>";
        $counter = 0;
        $success =0;
        $error =0;
        foreach($this->getItems() as $set){

            $item = new Item;
            $item->setAttributes($set,false);

            try{
                $this->assertFalse($item->save());
                $success++;
            }catch (Exception $e){
                echo $e->getMessage()."<br/>";
                $error++;
            }
            $counter++;
        }
        echo "<h3>".$counter." tests completed: ".$success." - success, ".$error." - error</h3>";
    }
    public function testTmpUser()
    {
        echo "<h3>Correct data test</h3>";
        $counter = 0;
        $success =0;
        $error =0;
        foreach($this->getTmpUsers(true) as $set){

            $item = new TmpUser;
            $item->setAttributes($set,false);

            try{
                $this->assertTrue($item->save());
                $success++;
            }catch (Exception $e){
                echo $e->getMessage()."<br/>";
                $error++;
            }
            $counter++;
        }
        echo "<h3>".$counter." tests completed: ".$success." - success, ".$error." - error</h3>";


        echo "<h3>Incorrect data test</h3>";
        $counter = 0;
        $success =0;
        $error =0;

      foreach($this->getTmpUsers() as $set){

            $item = new TmpUser;
            $item->setAttributes($set,false);

          try{
              $this->assertFalse($item->save());
              $success++;
          }catch (Exception $e){
              echo $e->getMessage()."<br/>";
              $error++;
          }
          $counter++;
      }
        echo "<h3>".$counter." tests completed: ".$success." - success, ".$error." - error</h3>";
    }

    public function getItems($correct = false){
        $result = array();
        if($correct){
           for($i = 1;$i<501; $i++)
           $result[]= array(
                'price' => rand(0,$i),
                'admin_email' => substr(md5(uniqid(rand(), true)),0,30).'@'.substr(md5(uniqid(rand(), true)),0,5).'.com',
                'page_id' => rand(0,$i),
                'title' => substr(md5(uniqid(rand(), true)),0,30),
                'item_id' => rand(0,$i),
                'order_id' => rand(0,$i),
                'quantity' => rand(0,$i),
                'referrer' => substr(md5(uniqid(rand(), true)),0,50),
                'ip_address' => rand(0,255).'.'.rand(0,255).'.'.rand(0,255).'.'.rand(0,255),
            );
        }
        if(!$correct){
            for($i = 1;$i<250; $i++)
                $result[]= array(
                    'price' => rand(-1,-$i-10),
                    'admin_email' => substr(md5(uniqid(rand(), true)),0,30).'@'.substr(md5(uniqid(rand(), true)),0,5).'.'.substr(md5(uniqid(rand(), true)),0,3),
                    'page_id' => rand(0,$i),
                    'title' => substr(md5(uniqid(rand(), true)),0,30),
                    'item_id' => rand(0,$i),
                    'order_id' => rand(0,$i),
                    'quantity' => rand(0,$i),
                    'referrer' => substr(md5(uniqid(rand(), true)),0,50),
                    'ip_address' => rand(0,255).'.'.rand(0,255).'.'.rand(0,255).'.'.rand(0,255),
                );
            for($i = 1;$i<252; $i++)
                $result[]= array(
                    'price' => rand(0,$i),
                    'admin_email' => substr(md5(uniqid(rand(), true)),0,30).'@'.substr(md5(uniqid(rand(), true)),0,5).'.'.substr(md5(uniqid(rand(), true)),0,3),
                    'page_id' => rand(0,$i),
                    'title' => substr(md5(uniqid(rand(), true)),0,30),
                    'item_id' => rand(0,$i),
                    'order_id' => rand(0,$i),
                    'quantity' => rand(-1,-$i-10),
                    'referrer' => substr(md5(uniqid(rand(), true)),0,50),
                    'ip_address' => rand(0,255).'.'.rand(0,255).'.'.rand(0,255).'.'.rand(0,255),
                );
        }
        return $result;
    }


    public function getTmpUsers($correct = false){
        $result = array();
        $format = Yii::app()->locale->getDateFormat();

        if($correct){
            for($i = 1;$i<51; $i++){

            $result[]= array(
                'salutation' => substr(md5(uniqid(rand(), true)),0,3),
                'firstname' => substr(md5(uniqid(rand(), true)),0,12),
                'lastname' => substr(md5(uniqid(rand(), true)),0,12),
                'company' => substr(md5(uniqid(rand(), true)),0,12),
                'birthday' => Yii::app()->dateFormatter->format($format, date('Y-m-d',time())),
                'street' => substr(md5(uniqid(rand(), true)),0,12),
                'zip_code' => substr(md5(uniqid(rand(), true)),0,12),
                'city' => substr(md5(uniqid(rand(), true)),0,12),
                'country' => substr(md5(uniqid(rand(), true)),0,12),
                'telephone' => substr(md5(uniqid(rand(), true)),0,12),
                'email' => substr(md5(uniqid(rand(), true)),0,6).'@'.substr(md5(uniqid(rand(), true)),0,4).'.'.substr(md5(uniqid(rand(), true)),0,3),
            );
            }
        }
        if(!$correct){
            for($i = 1;$i<11; $i++){

                $result[]= array(
                    'salutation' => substr(md5(uniqid(rand(), true)),0,3),
                    'firstname' => substr(md5(uniqid(rand(), true)),0,12),
                    'lastname' => substr(md5(uniqid(rand(), true)),0,12),
                    'company' => substr(md5(uniqid(rand(), true)),0,12),
                    'birthday' => Yii::app()->dateFormatter->format($format, date('Y-m-d',time())),
                    'street' => substr(md5(uniqid(rand(), true)),0,12),
                    'zip_code' => substr(md5(uniqid(rand(), true)),0,12),
                    'city' => substr(md5(uniqid(rand(), true)),0,12),
                    'country' => substr(md5(uniqid(rand(), true)),0,12),
                    'telephone' => substr(md5(uniqid(rand(), true)),0,12),
                    'email' => substr(md5(uniqid(rand(), true)),0,6).'@'.substr(md5(uniqid(rand(), true)),0,4),
                );
            }
            for($i = 1;$i<11; $i++){

                $result[]= array(
                    'salutation' => substr(md5(uniqid(rand(), true)),0,3),
                    'firstname' => '',
                    'lastname' => substr(md5(uniqid(rand(), true)),0,12),
                    'company' => substr(md5(uniqid(rand(), true)),0,12),
                    'birthday' => Yii::app()->dateFormatter->format($format, date('Y-m-d',time())),
                    'street' => substr(md5(uniqid(rand(), true)),0,12),
                    'zip_code' => substr(md5(uniqid(rand(), true)),0,12),
                    'city' => substr(md5(uniqid(rand(), true)),0,12),
                    'country' => substr(md5(uniqid(rand(), true)),0,12),
                    'telephone' => substr(md5(uniqid(rand(), true)),0,12),
                    'email' => substr(md5(uniqid(rand(), true)),0,6).'@'.substr(md5(uniqid(rand(), true)),0,4).'.ru',
                );
            }
            for($i = 1;$i<11; $i++){

                $result[]= array(
                    'salutation' => substr(md5(uniqid(rand(), true)),0,3),
                    'firstname' => substr(md5(uniqid(rand(), true)),0,12),
                    'lastname' => '',
                    'company' => substr(md5(uniqid(rand(), true)),0,12),
                    'birthday' => Yii::app()->dateFormatter->format($format, date('Y-m-d',time())),
                    'street' => substr(md5(uniqid(rand(), true)),0,12),
                    'zip_code' => substr(md5(uniqid(rand(), true)),0,12),
                    'city' => substr(md5(uniqid(rand(), true)),0,12),
                    'country' => substr(md5(uniqid(rand(), true)),0,12),
                    'telephone' => substr(md5(uniqid(rand(), true)),0,12),
                    'email' => substr(md5(uniqid(rand(), true)),0,6).'@'.substr(md5(uniqid(rand(), true)),0,4).'.'.substr(md5(uniqid(rand(), true)),0,3),
                );
            }
            for($i = 1;$i<21; $i++){

                $result[]= array(
                    'salutation' => substr(md5(uniqid(rand(), true)),0,3),
                    'firstname' => substr(md5(uniqid(rand(), true)),0,12),
                    'lastname' => substr(md5(uniqid(rand(), true)),0,12),
                    'company' => substr(md5(uniqid(rand(), true)),0,12),
                    'birthday' => date('Y-m-d',time()),
                    'street' => substr(md5(uniqid(rand(), true)),0,12),
                    'zip_code' => substr(md5(uniqid(rand(), true)),0,12),
                    'city' => substr(md5(uniqid(rand(), true)),0,12),
                    'country' => substr(md5(uniqid(rand(), true)),0,12),
                    'telephone' => substr(md5(uniqid(rand(), true)),0,12),
                    'email' => substr(md5(uniqid(rand(), true)),0,6).'@'.substr(md5(uniqid(rand(), true)),0,4).'.ru',
                );
            }
        }

        return $result;
    }

}